# Class SpeciesFormChangeCompoundTrigger

- Defined in src/data/pokemon-forms.ts:184

#####
Index

### Constructors

constructor

### Properties

triggers

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeCompoundTrigger(...triggers): SpeciesFormChangeCompoundTrigger

- #### Parameters

  - `Rest` ...triggers: SpeciesFormChangeTrigger []

  #### Returns SpeciesFormChangeCompoundTrigger

  - Defined in src/data/pokemon-forms.ts:187

## Properties

### triggers

triggers: SpeciesFormChangeTrigger []

- Defined in src/data/pokemon-forms.ts:185

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:191

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:201